EventsTypeEnum (gCube Messages Portlet 0.4.0-3.1.0 API)
Date: 2014-05-11

org.gcube.portlets.user.messages.client.interfaces

## Enum EventsTypeEnum

- java.lang.Object
- - java.lang.Enum<EventsTypeEnum>
  - - org.gcube.portlets.user.messages.client.interfaces.EventsTypeEnum

- All Implemented Interfaces:
    Serializable, Comparable<EventsTypeEnum>

      public enum EventsTypeEnum
      extends Enum<EventsTypeEnum>

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATE_NEW_MESSAGE`
    `DELETED_MESSAGE`
    `LOAD_MESSAGES_EVENT`
    `MARK_MESSAGE_AS_READ`
    `REPLY_FORWARD_MESSAGE`
    `SELECTED_MESSAGE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventsTypeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EventsTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DELETED_MESSAGE

          public static final EventsTypeEnum DELETED_MESSAGE

    - #### MARK_MESSAGE_AS_READ

          public static final EventsTypeEnum MARK_MESSAGE_AS_READ

    - #### SELECTED_MESSAGE

          public static final EventsTypeEnum SELECTED_MESSAGE

    - #### CREATE_NEW_MESSAGE

          public static final EventsTypeEnum CREATE_NEW_MESSAGE

    - #### REPLY_FORWARD_MESSAGE

          public static final EventsTypeEnum REPLY_FORWARD_MESSAGE

    - #### LOAD_MESSAGES_EVENT

          public static final EventsTypeEnum LOAD_MESSAGES_EVENT

  - ### Method Detail

    - #### values

          public static EventsTypeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventsTypeEnum c : EventsTypeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventsTypeEnum valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.